<?php

namespace Core\App\Cron;

interface CronTaskInterface
{
    /**
     * Execute task
     * MUST return array result
     */
    public function run(): array;

    /**
     * Task identifier (string)
     */
    public function name(): string;
}
